# Gimp.Channel.get_by_id

    function get_by_id(channel_id: Number(gint32)): Gimp.Channel {
        // Gjs wrapper for gimp_channel_get_by_id()
    }

Returns a Gimp.Channel representing channel_id. This function calls Gimp.Item.get_by_id and returns the item if it is channel or null otherwise.

Since 3.0

channel_id

  The channel id.

Returns

  a Gimp.Channel for channel_id or null if channel_id does not represent a valid channel. The object belongs to libgimp and you must not modify or unref it.